<?php include_once 'codebase/hyperframe.php' ?><html>
<head>
   <TITLE>Disqus Comments</TITLE>
   <META NAME="description"  CONTENT="Adding visitor comments to Web or blog pages">
   <META NAME="keywords" CONTENT="">
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
   <META NAME="GENERATOR" CONTENT="Hyperframe !CMS">
   <META NAME="Author" CONTENT="IWR Consultancy +44 (0)845 330 7907">
   <link rel=stylesheet href="<?php echo codedir ?>system.css" type="text/css">
   <link rel=stylesheet href="<?php echo framedir ?>frame.css" type="text/css">
</head>

<body >
<h1>Disqus Comments</h1>

<p><strong>The ability to add user comments to specific pages of your site drives traffic, and creates useful feedback. </strong></p>

<p>Disqus is one of the more effective third-party comment systems. It operates entirely by way of Javascript, and does not require any data to be stored on the website&#39;s own server. It also integrates well with Facebook, Twitter and other social media accounts. You can find more details on <a href="http://disqus.com" target="_blank">disqus.com</a></p>

<p>Whilst Disqus can in principle be added to any page, the Hyperframe plugin makes this task very easy, and avoids the need to struggle with complex javascript.&nbsp;</p>

<p>Firstly, if you have not done so already, go to <a href="http://disqus.com" target="_blank">disqus.com</a> and create a user account. Then, add a website identifier for your site. This should be any lowercase single word which represents the website.&nbsp;</p>

<p>Set the sitename parameter in Hyperframe&#39;s /sitecfg/sitieini.php file to match this identifier.</p>

<p>Now add the code:</p>

<p><strong>&lt;?php include(plugin(&#39;disqus&#39;))?&gt;</strong></p>

<p>at the point where you wish the commenting interface to appear.</p>

<p>Note that you must put this text in the page <em>source code</em>, writing it into the online editor will literally put the textual equivalent of the code into the page, which will do nothing.&nbsp;</p>

<p>As mentioned, the Hyperframe sitename is used as the Disqus site identifier.&nbsp; Individual page threads need some form of ID to segregate them, and Disqus uses the page title by default. In Hyperframe we change this to instead use the page&#39;s filename on disk. This avoid the problem where a change of title will cause comments to disappear. Just bear in mind that renaming a file or moving it to a different directory will reset the page comments. Though, that is less likely to arise often, therefore we feel that use of the filename is more robust. (The reason, incidentally, Disqus itself does not use the filename is that it cannot access the server&#39;s filesystem info info via Javascript, whereas Hyperframe can, using a php plugin.)</p>

<p>Since pages with Disqus comments are pages containing a script, they can only be edited online by Managers or Admins.</p>

<p>If you need to include the commenting facility in multiple pages, you can instead put a call to the plugin&nbsp;into the frame&#39;s footer area. Commenting enabled then becomes the default for all pages.&nbsp;Since Hyperframe generates page IDs automatically from the filename, this will still provide individual page comment threads. To then disallow commenting in specific pages, set &#39;hf_hide&#39; to &#39;bottom&#39; in the meta tags for those pages.</p>

<h4>An example:</h4>

<p><?php include(plugin('disqus'))?></p>

<p>You can of course&nbsp; add more text below the plugin, if you like.</p>

<p>&nbsp;</p>

</body>
</html>
